Subject: bug#42827: 27.1; ~/Emacs file not read at init

From: Robert Pluim <[email-masked]>
Date: Wed, 12 Aug 2020 18:06:30 +0200

>>>>> On 12 Aug 2020 14:26:57 -0000, Alan Mackenzie <[email-masked]> said:

    Alan> In article <[email-masked]> you wrote:
    >> Hi there,

    >> Emacs ignores ~/Emacs file at startup. Below are the relevant lines 
    >> from strace:
    >> --------------------------------------------
    >> openat(AT_FDCWD, "/home/tomaszen_AU.utf8/Emacs", O_RDONLY) = -1 ENOENT
    >> (No such file or directory)
    >> openat(AT_FDCWD, "/home/tomaszEmacs", O_RDONLY) = -1 ENOENT (No such
    >> file or directory)
    >> uname({sysname="Linux", nodename="schooner", ...}) = 0
    >> --------------------------------------------
    >> "/home/tomaszEmacs" should clearly be "/home/tomasz/Emacs" and
    >> "/home/tomaszen_AU.utf8/Emacs" should
    >> be "/home/tomasz/en_AU.utf8/Emacs"

    >> Forgotten / somewhere? 

    Alan> I'm not certain, but I think the problem might well be your upper case
    Alan> "E" at the beginning of the file name.  I think you also want a ".",
    Alan> giving a name like

    Alan>     /homt/tomasz/.emacs

This is the Emacs application file under X, not the configuration
file. Iʼd be worried if we looked for .emacs by trying to append a
locale string to $HOME :-)

Robert